# Class CIM_AllocatedDMA
extends CIM_AllocatedResource

An association between a LogicalDevice and a DMA System Resource indicating that the DMA Channel is assigned to the Device.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_AllocatedResource
|
+--CIM_AllocatedDMA

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | An association between a LogicalDevice and a DMA System Resource indicating that the DMA Channel is assigned to the Device.
UMLPackagePath | string | CIM::System::SystemResources
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BusMaster | boolean |
Description | string | Boolean indicating whether the LogicalDevice can act as a bus master on the DMA Channel.
MappingStrings | string | MIF.DMTF|System Resource DMA Info|001.6

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AllocatedDMA | CIM_DMA
Dependent | CIM_AllocatedDMA | CIM_LogicalDevice

## Class Methods